import { type Config, type UniversalOptions } from '@pnpm/config';
import { type Registries } from '@pnpm/types';
export declare const rcOptionsTypes: typeof cliOptionsTypes;
export declare function cliOptionsTypes(): {
    'audit-level': string[];
    fix: BooleanConstructor;
    'ignore-registry-errors': BooleanConstructor;
    production: any;
    registry: any;
    optional: any;
    only: any;
    dev: any;
    json: BooleanConstructor;
};
export declare const shorthands: {
    D: string;
    P: string;
};
export declare const commandNames: string[];
export declare function help(): string;
export declare function handler(opts: Pick<UniversalOptions, 'dir'> & {
    auditLevel?: 'low' | 'moderate' | 'high' | 'critical';
    fix?: boolean;
    ignoreRegistryErrors?: boolean;
    json?: boolean;
    lockfileDir?: string;
    registries: Registries;
} & Pick<Config, 'ca' | 'cert' | 'httpProxy' | 'httpsProxy' | 'key' | 'localAddress' | 'maxSockets' | 'noProxy' | 'strictSsl' | 'fetchRetries' | 'fetchRetryMaxtimeout' | 'fetchRetryMintimeout' | 'fetchRetryFactor' | 'fetchTimeout' | 'production' | 'dev' | 'optional' | 'userConfig' | 'rawConfig' | 'rootProjectManifest'>): Promise<{
    exitCode: number;
    output: any;
}>;
